Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLinkLabel

All Superinterfaces:
  EObject, GenCommonBase, GenLabel, Notifier

All Known Implementing Classes:
  GenLinkLabelImpl

public interface GenLinkLabel
extends GenLabel

A representation of the model object 'Gen Link Label'. Label attached to link

The following features are supported:

- `Link`
- `Alignment`

See Also:
  `GMFGenPackage.getGenLinkLabel()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='(modelFacet.oclIsTypeOf(FeatureLabelModelFacet) or modelFacet.oclIsTypeOf(CompositeFeatureLabelModelFacet))=true implies link.modelFacet.oclIsTypeOf(TypeLinkModelFacet)' description='Feature based link labels can only be used on link with class (TypeLinkModelFacet)'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='let tl: TypeLinkModelFacet = link.modelFacet.oclAsType(TypeLinkModelFacet) in not tl.oclIsUndefined() implies self.getMetaFeatures()->forAll(f|f.ecoreFeature.eContainingClass.isSuperTypeOf(tl.metaClass.ecoreClass))' description='Link label meta features must be owned by the node \'Meta Class\' or its super-classes'"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`LinkLabelAlignment` `getAlignment()` Returns the value of the 'Alignment' attribute.
`GenLink` `getLink()` Returns the value of the 'Link' container reference.
`void` `setAlignment(LinkLabelAlignment value)` Sets the value of the '`Alignment`' attribute
`void` `setLink(GenLink value)` Sets the value of the '`Link`' container reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`getMetaFeatures, getModelFacet, isElementIcon, isReadOnly, setElementIcon, setModelFacet, setReadOnly`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLink

    public GenLink getLink()

  Returns the value of the 'Link' container reference. It is bidirectional and its opposite is '`Labels`'.

  If the meaning of the 'Link' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link' container reference.
  See Also:
    `GenLinkLabel.setLink(GenLink)`, `GMFGenPackage.getGenLinkLabel_Link()`, `GenLink.getLabels()`
  ** Generated **
  Model:
    opposite="labels" required="true"

### setLink

    public void setLink(GenLink value)

  Sets the value of the '`Link`' container reference.

  Parameters:
    `value` - the new value of the 'Link' container reference.
  See Also:
    `GenLinkLabel.getLink()`
  ** Generated **

### getAlignment

    public LinkLabelAlignment getAlignment()

  Returns the value of the 'Alignment' attribute. The default value is `"MIDDLE"`. The literals are from the enumeration `LinkLabelAlignment`.

  If the meaning of the 'Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Alignment' attribute.
  See Also:
    `LinkLabelAlignment`, `GenLinkLabel.setAlignment(LinkLabelAlignment)`, `GMFGenPackage.getGenLinkLabel_Alignment()`
  ** Generated **
  Model:
    default="MIDDLE"

### setAlignment

    public void setAlignment(LinkLabelAlignment value)

  Sets the value of the '`Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Alignment' attribute.
  See Also:
    `LinkLabelAlignment`, `GenLinkLabel.getAlignment()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.